Abstract class for writing character streams.

package | phing.system.io

### Methods

## Close the stream.

    close()

### Exceptions

`\IOException` | - if there is an error closing stream.

## Flush the stream, if supported by the stream.

    flush()

## Returns a string representation of resource filename, url, etc.

    getResource() : string

that is being written to.

### Returns

`string`

## Writes data to output stream.

    write(string $buf, int $off, int $len)

### Parameters

#### $buf

`string`

#### $off

`int`

#### $len

`int`